enum ClassError {
    STUDENT_NOT_FOUND = 'STUDENT_NOT_FOUND',
    STUDENT_EXISTED = 'STUDENT_EXISTED',
    STUDENT_EXISTED_CODE = 'STUDENT_EXISTED_CODE',
    USER_NOT_STUDENT = 'USER_NOT_STUDENT',

    IMPORT_STUDENT_DUPLICATE = 'IMPORT_STUDENT_DUPLICATE',
    IMPORT_STUDENT_EXISTED = 'IMPORT_STUDENT_EXISTED',
    IMPORT_STUDENT_INVALID = 'IMPORT_STUDENT_INVALID',
    IMPORT_STUDENT_OLD = 'IMPORT_STUDENT_OLD',
    IMPORT_STUDENT_ALREADY_ADDED = 'IMPORT_STUDENT_ALREADY_ADDED',
    IMPORT_STUDENT_REACH_LIMIT = 'IMPORT_STUDENT_REACH_LIMIT',

    IMPORT_STUDENT_DUPLICATE_PHONE = 'IMPORT_STUDENT_DUPLICATE_PHONE',
    IMPORT_STUDENT_DUPLICATE_EMAIL = 'IMPORT_STUDENT_DUPLICATE_EMAIL',
    IMPORT_STUDENT_DUPLICATE_STUDENT_CODE = 'IMPORT_STUDENT_DUPLICATE_STUDENT_CODE',

    CLASS_NOT_FOUND = 'CLASS_NOT_FOUND',
}

enum CommonErrors {
    STUDENT_SUBMITTED_UNIT_TEST = 'STUDENT_SUBMITTED_UNIT_TEST',
}

export { ClassError, CommonErrors }